Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.symbol.nullvalue
Enum NullValues.NullValueId

    java.lang.Object
      java.lang.Enum<NullValues.NullValueId>
          org.maltparser.core.symbol.nullvalue.NullValues.NullValueId

All Implemented Interfaces:
  Serializable, Comparable<NullValues.NullValueId>

Enclosing class:
  NullValues

    public static enum NullValues.NullValueId

extends Enum<NullValues.NullValueId>

Enum Constant Summary
`NO_NODE`
`NO_VALUE`
`ROOT_NODE`

Method Summary
`static NullValues.NullValueId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NullValues.NullValueId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_NODE

    public static final NullValues.NullValueId NO_NODE

### ROOT_NODE

    public static final NullValues.NullValueId ROOT_NODE

### NO_VALUE

    public static final NullValues.NullValueId NO_VALUE

Method Detail

### values

    public static NullValues.NullValueId[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NullValues.NullValueId c : NullValues.NullValueId.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NullValues.NullValueId valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.